// D import file generated from 'derelict/opengl3/internal.d'
module derelict.opengl3.internal;
private 
{
	import std.array;
	import derelict.util.system;
	import derelict.opengl3.types;
	import derelict.opengl3.constants;
	import derelict.opengl3.functions;
	static if (Derelict_OS_Windows)
	{
		import derelict.opengl3.wgl;
	}
	else
	{
		static if (Derelict_OS_Mac)
		{
			import derelict.opengl3.cgl;
		}
		else
		{
			static if (Derelict_OS_Posix)
			{
				import derelict.opengl3.glx;
			}
		}
	}
}
private Appender!(const(char)*[]) _extCache;
package 
{
	void bindGLFunc(void** ptr, string symName);
	void initExtensionCache(GLVersion glversion);
	bool isExtSupported(GLVersion glversion, string name);
	bool findEXT(const(char)* extstr, string extname);
}
